*"表題 データにデータを代入 GTOOL3(GPFSET)
*
*"履歴 90/08/19 沼口  敦
*
*
*********************************************************************
*"         << データにデータを代入 >>
*********************************************************************
      SUBROUTINE GPFSET
     I         ( HHEAD , GDATA ,
     I           HEDIT , HETTL ,
     O           HHEADO, GDATAO  )
*
      CHARACTER  HHEAD  ( * )*(*)        !" ヘッダー(入力)
      REAL       GDATA  ( * )            !" データ(入力)
      CHARACTER  HEDIT       *(*)        !" 編集略記号
      CHARACTER  HETTL       *(*)        !" 編集タイトル
      CHARACTER  HHEADO ( * )*(*)        !" ヘッダー(出力)
      REAL       GDATAO ( * )            !" データ(出力)
*
*"         < 1. 大きさの取得 >
*
      CALL GUQSIZ
     I         ( HHEAD ,
     O           IXSTR , IXEND , IXDIM ,
     O           IYSTR , IYEND , IYDIM ,
     O           IZSTR , IZEND , IZDIM  )
*
      CALL GUSZCK ( HHEADO, IXDIM*IYDIM*IZDIM )
*
*"         < 3. データ演算 >
*
      DO 3100 I = 1, IXDIM*IYDIM*IZDIM
         GDATAO( I ) = GDATA( I )
 3100 CONTINUE
*
*"         < 4. ヘッダー複写 >
*
      CALL GHCOPY ( HHEAD, HHEADO )
*
      IF (  ( HEDIT .NE. ' ' ).AND.( HEDIT .NE.'NUL' )  ) THEN
         CALL GHEADD ( HHEADO, HEDIT, HETTL )
      ENDIF
*
      RETURN
      END
*********************************************************************
*"         << データにデータを代入 >>
*********************************************************************
      SUBROUTINE GMFSET
     M         ( HHEAD , GDATA ,
     I           HEDIT , HETTL  )
*
      CHARACTER  HHEAD  ( * )*(*)        !" ヘッダー(入力)
      REAL       GDATA  ( * )            !" データ(入力)
      CHARACTER  HEDIT       *(*)        !" 編集略記号
      CHARACTER  HETTL       *(*)        !" 編集タイトル
*
      IF (  ( HEDIT .NE. ' ' ).AND.( HEDIT .NE.'NUL' )  ) THEN
         CALL GHEADD ( HHEAD, HEDIT, HETTL )
      ENDIF
*
      RETURN
      END
